Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Get Gdrive File

GET/api/v1/gdrive-files
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Query parameters
namestringrequired
Exact file name without extension, e.g. 'UA_Promo_v3'
min length 1
Responses
200Successful Response
successboolean
default: true
dataGdriveFileInfo | any
Show properties
Any of:
GdriveFileInfo
drive_file_idstringrequired
drive_idstring | any
Show properties
Any of:
string
string
any
any
folder_idstring | any
Show properties
Any of:
string
string
any
any
parent_folder_idstring | any
Show properties
Any of:
string
string
any
any
parentsstring[]
default: []
namestringrequired
pathstring | any
Show properties
Any of:
string
string
any
any
mime_typestring | any
Show properties
Any of:
string
string
any
any
sizeinteger | any
Show properties
Any of:
integer
integer
any
any
md5string | any
Show properties
Any of:
string
string
any
any
sha256string | any
Show properties
Any of:
string
string
any
any
file_created_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
first_seen_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
seen_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
updated_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
duplicates_countinteger
default: 0
syncSyncInforequired
Show properties
statusstringrequired
attemptsinteger
default: 0
probeProbeInfo | any
Show properties
Any of:
ProbeInfo
duration_msinteger | any
Show properties
Any of:
integer
integer
any
any
widthinteger | any
Show properties
Any of:
integer
integer
any
any
heightinteger | any
Show properties
Any of:
integer
integer
any
any
codecstring | any
Show properties
Any of:
string
string
any
any
bitrateinteger | any
Show properties
Any of:
integer
integer
any
any
has_audioboolean | any
Show properties
Any of:
boolean
boolean
any
any
any
any
video_urlstring | any
Show properties
Any of:
string
string
any
any
original_urlstring | any
Show properties
Any of:
string
string
any
any
preview_urlstring | any
Show properties
Any of:
string
string
any
any
poster_urlstring | any
Show properties
Any of:
string
string
any
any
analysisAnalysisInfo | any
Show properties
Any of:
AnalysisInfo
statusstringrequired
attemptsinteger
default: 0
stepsobject
default: {}
vlmobject | any
Show properties
Any of:
object
object
any
any
vlm_urlstring | any
Show properties
Any of:
string
string
any
any
scenes_urlstring | any
Show properties
Any of:
string
string
any
any
hook_framesHookFramesInfo | any
Show properties
Any of:
HookFramesInfo
frame_countintegerrequired
fallbackboolean | any
Show properties
Any of:
boolean
boolean
any
any
manifest_urlstringrequired
frame_urlsstring[]required
any
any
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/gdrive-files?name=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "drive_file_id": "string",
    "drive_id": "string",
    "folder_id": "string",
    "parent_folder_id": "string",
    "parents": [],
    "name": "string",
    "path": "string",
    "mime_type": "string",
    "size": 0,
    "md5": "string",
    "sha256": "string",
    "file_created_at": "2019-08-24T14:15:22Z",
    "first_seen_at": "2019-08-24T14:15:22Z",
    "seen_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "duplicates_count": 0,
    "sync": {
      "status": "string",
      "attempts": 0
    },
    "probe": {
      "duration_ms": 0,
      "width": 0,
      "height": 0,
      "codec": "string",
      "bitrate": 0,
      "has_audio": true
    },
    "video_url": "string",
    "original_url": "string",
    "preview_url": "string",
    "poster_url": "string",
    "analysis": {
      "status": "string",
      "attempts": 0,
      "steps": {},
      "vlm": {},
      "vlm_url": "string",
      "scenes_url": "string",
      "hook_frames": {
        "frame_count": 0,
        "fallback": true,
        "manifest_url": "string",
        "frame_urls": [
          "string"
        ]
      }
    }
  },
  "message": "string",
  "errors": [
    "string"
  ]
}